Bug 972910 - Adding a host to a cluster yields an exception logged in engine.log
Adding a host to a cluster yields an exception logged in engine.log
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sahina Bose
Dustin Tsang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 15:12 EDT by Dustin Tsang
Modified: 2015-07-13 00:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 00:59:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (4.24 MB, text/x-log)
2013-06-10 15:12 EDT, Dustin Tsang
no flags Details
exception exerpt from engine log (11.05 KB, text/x-log)
2013-06-10 15:20 EDT, Dustin Tsang
no flags Details
vdsm log (485.85 KB, text/x-log)
2013-06-10 15:21 EDT, Dustin Tsang
no flags Details
super vdsm log (4.38 KB, text/x-log)
2013-06-10 15:21 EDT, Dustin Tsang
no flags Details

  None (edit)
Description Dustin Tsang 2013-06-10 15:12:05 EDT
Created attachment 759339 [details]
engine log

*Note this may be related to 919422

Description of problem:
When adding the host and waiting for the host to come to the up state, an exception is received in the engine.log.


Version-Release number of selected component (if applicable):
rhsc-bb2 

How reproducible:
70% it occurs on the second host being added to a node

Steps to Reproduce:
1. create a 3.2 cluster in rhsc
2. add one node to the cluster
3. add a second node to the cluster


Actual results:
no exception is raised.
Node does become up.


Expected results:
Node becomes up but with any exceptions raised.

Additional info:
Comment 1 Dustin Tsang 2013-06-10 15:20:41 EDT
Created attachment 759341 [details]
exception exerpt from engine log
Comment 2 Dustin Tsang 2013-06-10 15:21:22 EDT
Created attachment 759342 [details]
vdsm log
Comment 3 Dustin Tsang 2013-06-10 15:21:53 EDT
Created attachment 759343 [details]
super vdsm log
Comment 5 Sahina Bose 2013-06-14 00:59:04 EDT
This is a warning message in the logs. The engine code first checks if there's a vdsm-id for host being added using an ssh session. 
If not present, the vdsm returns exception which is logged as warning, and engine proceeds with installing the host and creating a new id.

The id check is done to make sure the host being added is not already present.

Note You need to log in before you can comment on or make changes to this bug.